#####  Created by:
#####  Tactical Display Icon Editor



import App
import GlobalPropertyTemplates

# Local Templates
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(7500.000000)
Hull.SetCritical(1)
Hull.SetTargetable(1)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.430429, 0.000000)
Hull.SetPosition2D(64.000000, 50.000000)
Hull.SetRepairComplexity(2.000000)
Hull.SetDisabledPercentage(0.000000)
Hull.SetRadius(0.750000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(3500.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(0.000000, 0.456149, 0.141981)
ShieldGenerator.SetPosition2D(64.000000, 50.000000)
ShieldGenerator.SetRepairComplexity(2.000000)
ShieldGenerator.SetDisabledPercentage(0.500000)
ShieldGenerator.SetRadius(0.050000)
ShieldGenerator.SetNormalPowerPerSecond(200.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.203922, 0.631373, 1.000000, 0.466667)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 5500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 5500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 5500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 5500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 5500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 5500.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 6.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 6.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
SensorArray = App.SensorProperty_Create("Sensor Array")

SensorArray.SetMaxCondition(3000.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(0.000000, 0.693725, -0.070000)
SensorArray.SetPosition2D(64.000000, 10.000000)
SensorArray.SetRepairComplexity(1.500000)
SensorArray.SetDisabledPercentage(0.500000)
SensorArray.SetRadius(0.050000)
SensorArray.SetNormalPowerPerSecond(150.000000)
SensorArray.SetBaseSensorRange(1200.000000)
SensorArray.SetMaxProbes(4)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
WarpCore = App.PowerProperty_Create("Warp Core")

WarpCore.SetMaxCondition(5500.000000)
WarpCore.SetCritical(1)
WarpCore.SetTargetable(1)
WarpCore.SetPrimary(1)
WarpCore.SetPosition(0.000000, 0.550000, 0.045000)
WarpCore.SetPosition2D(64.000000, 30.000000)
WarpCore.SetRepairComplexity(2.000000)
WarpCore.SetDisabledPercentage(0.750000)
WarpCore.SetRadius(0.050000)
WarpCore.SetMainBatteryLimit(150000.000000)
WarpCore.SetBackupBatteryLimit(50000.000000)
WarpCore.SetMainConduitCapacity(800.000000)
WarpCore.SetBackupConduitCapacity(100.000000)
WarpCore.SetPowerOutput(600.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpCore)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(4000.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(0)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(0.000000, 0.260000, 0.080000)
ImpulseEngines.SetPosition2D(120.000000, 120.000000)
ImpulseEngines.SetRepairComplexity(3.000000)
ImpulseEngines.SetDisabledPercentage(0.500000)
ImpulseEngines.SetRadius(0.025000)
ImpulseEngines.SetNormalPowerPerSecond(25.000000)
ImpulseEngines.SetMaxAccel(3.000000)
ImpulseEngines.SetMaxAngularAccel(0.150000)
ImpulseEngines.SetMaxAngularVelocity(0.400000)
ImpulseEngines.SetMaxSpeed(4.500000)
ImpulseEngines.SetEngineSound("Federation Engines")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
Phasers = App.WeaponSystemProperty_Create("Phasers")

Phasers.SetMaxCondition(2400.000000)
Phasers.SetCritical(0)
Phasers.SetTargetable(0)
Phasers.SetPrimary(1)
Phasers.SetPosition(0.000000, 0.900000, 0.044000)
Phasers.SetPosition2D(46.000000, 64.000000)
Phasers.SetRepairComplexity(4.000000)
Phasers.SetDisabledPercentage(0.500000)
Phasers.SetRadius(0.025000)
Phasers.SetNormalPowerPerSecond(150.000000)
Phasers.SetWeaponSystemType(Phasers.WST_PHASER)
Phasers.SetSingleFire(0)
Phasers.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Phasers.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Phasers)
#################################################
WarpEngines = App.WarpEngineProperty_Create("Warp Engines")

WarpEngines.SetMaxCondition(5000.000000)
WarpEngines.SetCritical(0)
WarpEngines.SetTargetable(0)
WarpEngines.SetPrimary(1)
WarpEngines.SetPosition(0.000000, 0.261806, 0.040000)
WarpEngines.SetPosition2D(46.000000, 60.000000)
WarpEngines.SetRepairComplexity(3.000000)
WarpEngines.SetDisabledPercentage(0.500000)
WarpEngines.SetRadius(0.025000)
WarpEngines.SetNormalPowerPerSecond(0.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEngines)
#################################################
Torpedoes = App.TorpedoSystemProperty_Create("Torpedoes")

Torpedoes.SetMaxCondition(1000.000000)
Torpedoes.SetCritical(0)
Torpedoes.SetTargetable(0)
Torpedoes.SetPrimary(1)
Torpedoes.SetPosition(0.000000, 0.751000, 0.138453)
Torpedoes.SetPosition2D(82.000000, 64.000000)
Torpedoes.SetRepairComplexity(2.000000)
Torpedoes.SetDisabledPercentage(0.750000)
Torpedoes.SetRadius(0.025000)
Torpedoes.SetNormalPowerPerSecond(100.000000)
Torpedoes.SetWeaponSystemType(Torpedoes.WST_TORPEDO)
Torpedoes.SetSingleFire(0)
Torpedoes.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("0;Single;12;Dual;3;Quad")
Torpedoes.SetFiringChainString(kFiringChainString)
Torpedoes.SetMaxTorpedoes(0, 150)
Torpedoes.SetTorpedoScript(0, "Tactical.Projectiles.TOSphotorp")
Torpedoes.SetNumAmmoTypes(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedoes)
#################################################
PortImpulse = App.EngineProperty_Create("Port Impulse")

PortImpulse.SetMaxCondition(2000.000000)
PortImpulse.SetCritical(0)
PortImpulse.SetTargetable(1)
PortImpulse.SetPrimary(1)
PortImpulse.SetPosition(-0.063108, 0.193232, 0.072048)
PortImpulse.SetPosition2D(32.000000, 40.000000)
PortImpulse.SetRepairComplexity(3.000000)
PortImpulse.SetDisabledPercentage(0.500000)
PortImpulse.SetRadius(0.030000)
PortImpulse.SetEngineType(PortImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortImpulse)
#################################################
StarImpulse = App.EngineProperty_Create("Star Impulse")

StarImpulse.SetMaxCondition(2000.000000)
StarImpulse.SetCritical(0)
StarImpulse.SetTargetable(1)
StarImpulse.SetPrimary(1)
StarImpulse.SetPosition(0.063108, 0.193232, 0.072048)
StarImpulse.SetPosition2D(96.000000, 40.000000)
StarImpulse.SetRepairComplexity(3.000000)
StarImpulse.SetDisabledPercentage(0.500000)
StarImpulse.SetRadius(0.030000)
StarImpulse.SetEngineType(StarImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarImpulse)
#################################################
PortWarp = App.EngineProperty_Create("Port Warp")

PortWarp.SetMaxCondition(2500.000000)
PortWarp.SetCritical(0)
PortWarp.SetTargetable(1)
PortWarp.SetPrimary(1)
PortWarp.SetPosition(-0.430000, -0.800000, 0.340000)
PortWarp.SetPosition2D(4.000000, 90.000000)
PortWarp.SetRepairComplexity(3.000000)
PortWarp.SetDisabledPercentage(0.500000)
PortWarp.SetRadius(0.300000)
PortWarp.SetEngineType(PortWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortWarp)
#################################################
StarWarp = App.EngineProperty_Create("Star Warp")

StarWarp.SetMaxCondition(2500.000000)
StarWarp.SetCritical(0)
StarWarp.SetTargetable(1)
StarWarp.SetPrimary(1)
StarWarp.SetPosition(0.430000, -0.800000, 0.340000)
StarWarp.SetPosition2D(125.000000, 90.000000)
StarWarp.SetRepairComplexity(3.000000)
StarWarp.SetDisabledPercentage(0.500000)
StarWarp.SetRadius(0.300000)
StarWarp.SetEngineType(StarWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarWarp)
#################################################
Engineering = App.RepairSubsystemProperty_Create("Engineering")

Engineering.SetMaxCondition(5000.000000)
Engineering.SetCritical(0)
Engineering.SetTargetable(0)
Engineering.SetPrimary(1)
Engineering.SetPosition(0.000000, 0.390000, 0.045000)
Engineering.SetPosition2D(64.000000, 40.000000)
Engineering.SetRepairComplexity(4.000000)
Engineering.SetDisabledPercentage(0.100000)
Engineering.SetRadius(0.025000)
Engineering.SetNormalPowerPerSecond(0.000000)
Engineering.SetMaxRepairPoints(36.000000)
Engineering.SetNumRepairTeams(3)
App.g_kModelPropertyManager.RegisterLocalTemplate(Engineering)
#################################################
ForwardTorp1 = App.TorpedoTubeProperty_Create("Forward Torp 1")

ForwardTorp1.SetMaxCondition(800.000000)
ForwardTorp1.SetCritical(0)
ForwardTorp1.SetTargetable(1)
ForwardTorp1.SetPrimary(1)
ForwardTorp1.SetPosition(-0.219580, 0.695090, -0.022227)
ForwardTorp1.SetPosition2D(54.000000, 40.000000)
ForwardTorp1.SetRepairComplexity(3.000000)
ForwardTorp1.SetDisabledPercentage(0.500000)
ForwardTorp1.SetRadius(0.025000)
ForwardTorp1.SetDumbfire(1)
ForwardTorp1.SetWeaponID(0)
ForwardTorp1.SetGroups(5)
ForwardTorp1.SetDamageRadiusFactor(0.600000)
ForwardTorp1.SetIconNum(370)
ForwardTorp1.SetIconPositionX(59.000000)
ForwardTorp1.SetIconPositionY(14.000000)
ForwardTorp1.SetIconAboveShip(1)
ForwardTorp1.SetImmediateDelay(0.250000)
ForwardTorp1.SetReloadDelay(40.000000)
ForwardTorp1.SetMaxReady(1)
ForwardTorp1Direction = App.TGPoint3()
ForwardTorp1Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorp1.SetDirection(ForwardTorp1Direction)
ForwardTorp1Right = App.TGPoint3()
ForwardTorp1Right.SetXYZ(1.000000, 0.000000, 0.000000)
ForwardTorp1.SetRight(ForwardTorp1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorp1)
#################################################
ForwardTorp2 = App.TorpedoTubeProperty_Create("Forward Torp 2")

ForwardTorp2.SetMaxCondition(800.000000)
ForwardTorp2.SetCritical(0)
ForwardTorp2.SetTargetable(1)
ForwardTorp2.SetPrimary(1)
ForwardTorp2.SetPosition(0.219580, 0.695090, -0.022227)
ForwardTorp2.SetPosition2D(75.000000, 40.000000)
ForwardTorp2.SetRepairComplexity(3.000000)
ForwardTorp2.SetDisabledPercentage(0.500000)
ForwardTorp2.SetRadius(0.025000)
ForwardTorp2.SetDumbfire(1)
ForwardTorp2.SetWeaponID(1)
ForwardTorp2.SetGroups(5)
ForwardTorp2.SetDamageRadiusFactor(0.600000)
ForwardTorp2.SetIconNum(370)
ForwardTorp2.SetIconPositionX(93.000000)
ForwardTorp2.SetIconPositionY(14.000000)
ForwardTorp2.SetIconAboveShip(1)
ForwardTorp2.SetImmediateDelay(0.250000)
ForwardTorp2.SetReloadDelay(40.000000)
ForwardTorp2.SetMaxReady(1)
ForwardTorp2Direction = App.TGPoint3()
ForwardTorp2Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorp2.SetDirection(ForwardTorp2Direction)
ForwardTorp2Right = App.TGPoint3()
ForwardTorp2Right.SetXYZ(1.000000, 0.000000, 0.000000)
ForwardTorp2.SetRight(ForwardTorp2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorp2)
#################################################
VentralPhaser1a = App.PhaserProperty_Create("Ventral Phaser 1a")

VentralPhaser1a.SetMaxCondition(800.000000)
VentralPhaser1a.SetCritical(0)
VentralPhaser1a.SetTargetable(1)
VentralPhaser1a.SetPrimary(1)
VentralPhaser1a.SetPosition(-0.011770, 0.899715, -0.005969)
VentralPhaser1a.SetPosition2D(54.000000, 45.000000)
VentralPhaser1a.SetRepairComplexity(7.000000)
VentralPhaser1a.SetDisabledPercentage(0.750000)
VentralPhaser1a.SetRadius(0.250000)
VentralPhaser1a.SetDumbfire(0)
VentralPhaser1a.SetWeaponID(2)
VentralPhaser1a.SetGroups(0)
VentralPhaser1a.SetDamageRadiusFactor(0.150000)
VentralPhaser1a.SetIconNum(330)
VentralPhaser1a.SetIconPositionX(23.000000)
VentralPhaser1a.SetIconPositionY(25.000000)
VentralPhaser1a.SetIconAboveShip(0)
VentralPhaser1a.SetFireSound("Tos Phaser")
VentralPhaser1a.SetMaxCharge(5.000000)
VentralPhaser1a.SetMaxDamage(200.000000)
VentralPhaser1a.SetMaxDamageDistance(60.000000)
VentralPhaser1a.SetMinFiringCharge(3.500000)
VentralPhaser1a.SetNormalDischargeRate(1.000000)
VentralPhaser1a.SetRechargeRate(0.080000)
VentralPhaser1a.SetIndicatorIconNum(505)
VentralPhaser1a.SetIndicatorIconPositionX(29.000000)
VentralPhaser1a.SetIndicatorIconPositionY(23.000000)
VentralPhaser1aForward = App.TGPoint3()
VentralPhaser1aForward.SetXYZ(-0.447214, 0.894427, 0.000000)
VentralPhaser1aUp = App.TGPoint3()
VentralPhaser1aUp.SetXYZ(0.000000, 0.000000, 1.000000)
VentralPhaser1a.SetOrientation(VentralPhaser1aForward, VentralPhaser1aUp)
VentralPhaser1a.SetWidth(0.001000)
VentralPhaser1a.SetLength(0.001000)
VentralPhaser1a.SetArcWidthAngles(-1.047198, 0.785398)
VentralPhaser1a.SetArcHeightAngles(0.000000, -1.570796)
VentralPhaser1a.SetPhaserTextureStart(0)
VentralPhaser1a.SetPhaserTextureEnd(7)
VentralPhaser1a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
VentralPhaser1a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
VentralPhaser1a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
VentralPhaser1a.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
VentralPhaser1a.SetInnerCoreColor(kColor)
VentralPhaser1a.SetNumSides(6)
VentralPhaser1a.SetMainRadius(0.075000)
VentralPhaser1a.SetTaperRadius(0.030000)
VentralPhaser1a.SetCoreScale(0.175000)
VentralPhaser1a.SetTaperRatio(0.250000)
VentralPhaser1a.SetTaperMinLength(5.000000)
VentralPhaser1a.SetTaperMaxLength(30.000000)
VentralPhaser1a.SetLengthTextureTilePerUnit(0.500000)
VentralPhaser1a.SetPerimeterTile(1.000000)
VentralPhaser1a.SetTextureSpeed(2.500000)
VentralPhaser1a.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser1a)
#################################################
VentralPhaser1b = App.PhaserProperty_Create("Ventral Phaser 1b")

VentralPhaser1b.SetMaxCondition(800.000000)
VentralPhaser1b.SetCritical(0)
VentralPhaser1b.SetTargetable(1)
VentralPhaser1b.SetPrimary(1)
VentralPhaser1b.SetPosition(0.011770, 0.899715, -0.005969)
VentralPhaser1b.SetPosition2D(75.000000, 45.000000)
VentralPhaser1b.SetRepairComplexity(7.000000)
VentralPhaser1b.SetDisabledPercentage(0.750000)
VentralPhaser1b.SetRadius(0.250000)
VentralPhaser1b.SetDumbfire(0)
VentralPhaser1b.SetWeaponID(3)
VentralPhaser1b.SetGroups(0)
VentralPhaser1b.SetDamageRadiusFactor(0.150000)
VentralPhaser1b.SetIconNum(350)
VentralPhaser1b.SetIconPositionX(80.000000)
VentralPhaser1b.SetIconPositionY(25.000000)
VentralPhaser1b.SetIconAboveShip(0)
VentralPhaser1b.SetFireSound("Tos Phaser")
VentralPhaser1b.SetMaxCharge(5.000000)
VentralPhaser1b.SetMaxDamage(200.000000)
VentralPhaser1b.SetMaxDamageDistance(60.000000)
VentralPhaser1b.SetMinFiringCharge(3.500000)
VentralPhaser1b.SetNormalDischargeRate(1.000000)
VentralPhaser1b.SetRechargeRate(0.080000)
VentralPhaser1b.SetIndicatorIconNum(506)
VentralPhaser1b.SetIndicatorIconPositionX(86.000000)
VentralPhaser1b.SetIndicatorIconPositionY(23.000000)
VentralPhaser1bForward = App.TGPoint3()
VentralPhaser1bForward.SetXYZ(0.447214, 0.894427, 0.000000)
VentralPhaser1bUp = App.TGPoint3()
VentralPhaser1bUp.SetXYZ(0.000000, 0.000000, 1.000000)
VentralPhaser1b.SetOrientation(VentralPhaser1bForward, VentralPhaser1bUp)
VentralPhaser1b.SetWidth(0.001000)
VentralPhaser1b.SetLength(0.001000)
VentralPhaser1b.SetArcWidthAngles(-0.785398, 1.047198)
VentralPhaser1b.SetArcHeightAngles(0.000000, -1.570796)
VentralPhaser1b.SetPhaserTextureStart(0)
VentralPhaser1b.SetPhaserTextureEnd(7)
VentralPhaser1b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
VentralPhaser1b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
VentralPhaser1b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
VentralPhaser1b.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
VentralPhaser1b.SetInnerCoreColor(kColor)
VentralPhaser1b.SetNumSides(6)
VentralPhaser1b.SetMainRadius(0.075000)
VentralPhaser1b.SetTaperRadius(0.030000)
VentralPhaser1b.SetCoreScale(0.175000)
VentralPhaser1b.SetTaperRatio(0.250000)
VentralPhaser1b.SetTaperMinLength(5.000000)
VentralPhaser1b.SetTaperMaxLength(30.000000)
VentralPhaser1b.SetLengthTextureTilePerUnit(0.500000)
VentralPhaser1b.SetPerimeterTile(1.000000)
VentralPhaser1b.SetTextureSpeed(2.500000)
VentralPhaser1b.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser1b)
#################################################
DorsalPhaser1a = App.PhaserProperty_Create("Dorsal Phaser 1a")

DorsalPhaser1a.SetMaxCondition(800.000000)
DorsalPhaser1a.SetCritical(0)
DorsalPhaser1a.SetTargetable(1)
DorsalPhaser1a.SetPrimary(1)
DorsalPhaser1a.SetPosition(-0.205536, 0.707139, 0.147638)
DorsalPhaser1a.SetPosition2D(34.000000, 40.000000)
DorsalPhaser1a.SetRepairComplexity(7.000000)
DorsalPhaser1a.SetDisabledPercentage(0.750000)
DorsalPhaser1a.SetRadius(0.250000)
DorsalPhaser1a.SetDumbfire(0)
DorsalPhaser1a.SetWeaponID(5)
DorsalPhaser1a.SetGroups(0)
DorsalPhaser1a.SetDamageRadiusFactor(0.150000)
DorsalPhaser1a.SetIconNum(361)
DorsalPhaser1a.SetIconPositionX(10.000000)
DorsalPhaser1a.SetIconPositionY(49.000000)
DorsalPhaser1a.SetIconAboveShip(1)
DorsalPhaser1a.SetFireSound("Tos Phaser")
DorsalPhaser1a.SetMaxCharge(5.000000)
DorsalPhaser1a.SetMaxDamage(200.000000)
DorsalPhaser1a.SetMaxDamageDistance(60.000000)
DorsalPhaser1a.SetMinFiringCharge(3.500000)
DorsalPhaser1a.SetNormalDischargeRate(1.000000)
DorsalPhaser1a.SetRechargeRate(0.080000)
DorsalPhaser1a.SetIndicatorIconNum(508)
DorsalPhaser1a.SetIndicatorIconPositionX(8.000000)
DorsalPhaser1a.SetIndicatorIconPositionY(49.000000)
DorsalPhaser1aForward = App.TGPoint3()
DorsalPhaser1aForward.SetXYZ(-0.894427, 0.447214, 0.000000)
DorsalPhaser1aUp = App.TGPoint3()
DorsalPhaser1aUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser1a.SetOrientation(DorsalPhaser1aForward, DorsalPhaser1aUp)
DorsalPhaser1a.SetWidth(0.001000)
DorsalPhaser1a.SetLength(0.001000)
DorsalPhaser1a.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser1a.SetArcHeightAngles(0.000000, 1.570796)
DorsalPhaser1a.SetPhaserTextureStart(0)
DorsalPhaser1a.SetPhaserTextureEnd(7)
DorsalPhaser1a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser1a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser1a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaser1a.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaser1a.SetInnerCoreColor(kColor)
DorsalPhaser1a.SetNumSides(6)
DorsalPhaser1a.SetMainRadius(0.075000)
DorsalPhaser1a.SetTaperRadius(0.030000)
DorsalPhaser1a.SetCoreScale(0.175000)
DorsalPhaser1a.SetTaperRatio(0.250000)
DorsalPhaser1a.SetTaperMinLength(5.000000)
DorsalPhaser1a.SetTaperMaxLength(30.000000)
DorsalPhaser1a.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaser1a.SetPerimeterTile(1.000000)
DorsalPhaser1a.SetTextureSpeed(2.500000)
DorsalPhaser1a.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser1a)
#################################################
DorsalPhaser1b = App.PhaserProperty_Create("Dorsal Phaser 1b")

DorsalPhaser1b.SetMaxCondition(800.000000)
DorsalPhaser1b.SetCritical(0)
DorsalPhaser1b.SetTargetable(1)
DorsalPhaser1b.SetPrimary(1)
DorsalPhaser1b.SetPosition(-0.205153, 0.682588, 0.147712)
DorsalPhaser1b.SetPosition2D(54.000000, 30.000000)
DorsalPhaser1b.SetRepairComplexity(7.000000)
DorsalPhaser1b.SetDisabledPercentage(0.750000)
DorsalPhaser1b.SetRadius(0.250000)
DorsalPhaser1b.SetDumbfire(0)
DorsalPhaser1b.SetWeaponID(6)
DorsalPhaser1b.SetGroups(0)
DorsalPhaser1b.SetDamageRadiusFactor(0.150000)
DorsalPhaser1b.SetIconNum(340)
DorsalPhaser1b.SetIconPositionX(12.000000)
DorsalPhaser1b.SetIconPositionY(68.000000)
DorsalPhaser1b.SetIconAboveShip(1)
DorsalPhaser1b.SetFireSound("Tos Phaser")
DorsalPhaser1b.SetMaxCharge(5.000000)
DorsalPhaser1b.SetMaxDamage(200.000000)
DorsalPhaser1b.SetMaxDamageDistance(60.000000)
DorsalPhaser1b.SetMinFiringCharge(3.500000)
DorsalPhaser1b.SetNormalDischargeRate(1.000000)
DorsalPhaser1b.SetRechargeRate(0.080000)
DorsalPhaser1b.SetIndicatorIconNum(504)
DorsalPhaser1b.SetIndicatorIconPositionX(10.000000)
DorsalPhaser1b.SetIndicatorIconPositionY(77.000000)
DorsalPhaser1bForward = App.TGPoint3()
DorsalPhaser1bForward.SetXYZ(-0.894427, -0.447214, 0.000000)
DorsalPhaser1bUp = App.TGPoint3()
DorsalPhaser1bUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser1b.SetOrientation(DorsalPhaser1bForward, DorsalPhaser1bUp)
DorsalPhaser1b.SetWidth(0.001000)
DorsalPhaser1b.SetLength(0.001000)
DorsalPhaser1b.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser1b.SetArcHeightAngles(0.000000, 1.570796)
DorsalPhaser1b.SetPhaserTextureStart(0)
DorsalPhaser1b.SetPhaserTextureEnd(7)
DorsalPhaser1b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser1b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser1b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaser1b.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaser1b.SetInnerCoreColor(kColor)
DorsalPhaser1b.SetNumSides(6)
DorsalPhaser1b.SetMainRadius(0.075000)
DorsalPhaser1b.SetTaperRadius(0.030000)
DorsalPhaser1b.SetCoreScale(0.175000)
DorsalPhaser1b.SetTaperRatio(0.250000)
DorsalPhaser1b.SetTaperMinLength(5.000000)
DorsalPhaser1b.SetTaperMaxLength(30.000000)
DorsalPhaser1b.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaser1b.SetPerimeterTile(1.000000)
DorsalPhaser1b.SetTextureSpeed(2.500000)
DorsalPhaser1b.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser1b)
#################################################
DorsalPhaser2a = App.PhaserProperty_Create("Dorsal Phaser 2a")

DorsalPhaser2a.SetMaxCondition(800.000000)
DorsalPhaser2a.SetCritical(0)
DorsalPhaser2a.SetTargetable(1)
DorsalPhaser2a.SetPrimary(1)
DorsalPhaser2a.SetPosition(0.205536, 0.707139, 0.147638)
DorsalPhaser2a.SetPosition2D(75.000000, 30.000000)
DorsalPhaser2a.SetRepairComplexity(7.000000)
DorsalPhaser2a.SetDisabledPercentage(0.750000)
DorsalPhaser2a.SetRadius(0.250000)
DorsalPhaser2a.SetDumbfire(0)
DorsalPhaser2a.SetWeaponID(7)
DorsalPhaser2a.SetGroups(0)
DorsalPhaser2a.SetDamageRadiusFactor(0.150000)
DorsalPhaser2a.SetIconNum(362)
DorsalPhaser2a.SetIconPositionX(129.000000)
DorsalPhaser2a.SetIconPositionY(49.000000)
DorsalPhaser2a.SetIconAboveShip(1)
DorsalPhaser2a.SetFireSound("Tos Phaser")
DorsalPhaser2a.SetMaxCharge(5.000000)
DorsalPhaser2a.SetMaxDamage(200.000000)
DorsalPhaser2a.SetMaxDamageDistance(60.000000)
DorsalPhaser2a.SetMinFiringCharge(3.500000)
DorsalPhaser2a.SetNormalDischargeRate(1.000000)
DorsalPhaser2a.SetRechargeRate(0.080000)
DorsalPhaser2a.SetIndicatorIconNum(509)
DorsalPhaser2a.SetIndicatorIconPositionX(128.000000)
DorsalPhaser2a.SetIndicatorIconPositionY(49.000000)
DorsalPhaser2aForward = App.TGPoint3()
DorsalPhaser2aForward.SetXYZ(0.894427, 0.447214, 0.000000)
DorsalPhaser2aUp = App.TGPoint3()
DorsalPhaser2aUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser2a.SetOrientation(DorsalPhaser2aForward, DorsalPhaser2aUp)
DorsalPhaser2a.SetWidth(0.001000)
DorsalPhaser2a.SetLength(0.001000)
DorsalPhaser2a.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser2a.SetArcHeightAngles(0.000000, 1.570796)
DorsalPhaser2a.SetPhaserTextureStart(0)
DorsalPhaser2a.SetPhaserTextureEnd(7)
DorsalPhaser2a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser2a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser2a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaser2a.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaser2a.SetInnerCoreColor(kColor)
DorsalPhaser2a.SetNumSides(6)
DorsalPhaser2a.SetMainRadius(0.075000)
DorsalPhaser2a.SetTaperRadius(0.030000)
DorsalPhaser2a.SetCoreScale(0.175000)
DorsalPhaser2a.SetTaperRatio(0.250000)
DorsalPhaser2a.SetTaperMinLength(5.000000)
DorsalPhaser2a.SetTaperMaxLength(30.000000)
DorsalPhaser2a.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaser2a.SetPerimeterTile(1.000000)
DorsalPhaser2a.SetTextureSpeed(2.500000)
DorsalPhaser2a.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser2a)
#################################################
DorsalPhaser2b = App.PhaserProperty_Create("Dorsal Phaser 2b")

DorsalPhaser2b.SetMaxCondition(800.000000)
DorsalPhaser2b.SetCritical(0)
DorsalPhaser2b.SetTargetable(1)
DorsalPhaser2b.SetPrimary(1)
DorsalPhaser2b.SetPosition(0.205153, 0.682588, 0.147712)
DorsalPhaser2b.SetPosition2D(95.000000, 40.000000)
DorsalPhaser2b.SetRepairComplexity(7.000000)
DorsalPhaser2b.SetDisabledPercentage(0.750000)
DorsalPhaser2b.SetRadius(0.250000)
DorsalPhaser2b.SetDumbfire(0)
DorsalPhaser2b.SetWeaponID(8)
DorsalPhaser2b.SetGroups(0)
DorsalPhaser2b.SetDamageRadiusFactor(0.150000)
DorsalPhaser2b.SetIconNum(360)
DorsalPhaser2b.SetIconPositionX(115.000000)
DorsalPhaser2b.SetIconPositionY(68.000000)
DorsalPhaser2b.SetIconAboveShip(1)
DorsalPhaser2b.SetFireSound("Tos Phaser")
DorsalPhaser2b.SetMaxCharge(5.000000)
DorsalPhaser2b.SetMaxDamage(200.000000)
DorsalPhaser2b.SetMaxDamageDistance(60.000000)
DorsalPhaser2b.SetMinFiringCharge(3.500000)
DorsalPhaser2b.SetNormalDischargeRate(1.000000)
DorsalPhaser2b.SetRechargeRate(0.080000)
DorsalPhaser2b.SetIndicatorIconNum(503)
DorsalPhaser2b.SetIndicatorIconPositionX(113.000000)
DorsalPhaser2b.SetIndicatorIconPositionY(77.000000)
DorsalPhaser2bForward = App.TGPoint3()
DorsalPhaser2bForward.SetXYZ(0.894427, -0.447214, 0.000000)
DorsalPhaser2bUp = App.TGPoint3()
DorsalPhaser2bUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser2b.SetOrientation(DorsalPhaser2bForward, DorsalPhaser2bUp)
DorsalPhaser2b.SetWidth(0.001000)
DorsalPhaser2b.SetLength(0.001000)
DorsalPhaser2b.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser2b.SetArcHeightAngles(0.000000, 1.570796)
DorsalPhaser2b.SetPhaserTextureStart(0)
DorsalPhaser2b.SetPhaserTextureEnd(7)
DorsalPhaser2b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser2b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser2b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaser2b.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaser2b.SetInnerCoreColor(kColor)
DorsalPhaser2b.SetNumSides(6)
DorsalPhaser2b.SetMainRadius(0.075000)
DorsalPhaser2b.SetTaperRadius(0.030000)
DorsalPhaser2b.SetCoreScale(0.175000)
DorsalPhaser2b.SetTaperRatio(0.250000)
DorsalPhaser2b.SetTaperMinLength(5.000000)
DorsalPhaser2b.SetTaperMaxLength(30.000000)
DorsalPhaser2b.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaser2b.SetPerimeterTile(1.000000)
DorsalPhaser2b.SetTextureSpeed(2.500000)
DorsalPhaser2b.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser2b)
#################################################
Tractors = App.WeaponSystemProperty_Create("Tractors")

Tractors.SetMaxCondition(1500.000000)
Tractors.SetCritical(0)
Tractors.SetTargetable(0)
Tractors.SetPrimary(1)
Tractors.SetPosition(0.000000, 0.900000, 0.024004)
Tractors.SetPosition2D(120.000000, 120.000000)
Tractors.SetRepairComplexity(7.000000)
Tractors.SetDisabledPercentage(0.750000)
Tractors.SetRadius(0.025000)
Tractors.SetNormalPowerPerSecond(600.000000)
Tractors.SetWeaponSystemType(Tractors.WST_TRACTOR)
Tractors.SetSingleFire(1)
Tractors.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Tractors.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Tractors)
#################################################
Loknar = App.ShipProperty_Create("Loknar")

Loknar.SetGenus(1)
Loknar.SetSpecies(103)
Loknar.SetMass(30.000000)
Loknar.SetRotationalInertia(3000.000000)
Loknar.SetShipName("Constitution")
Loknar.SetModelFilename("data/Models/Ships/Loknar")
Loknar.SetDamageResolution(10.000000)
Loknar.SetAffiliation(0)
Loknar.SetStationary(0)
Loknar.SetAIString("FedAttack")
Loknar.SetDeathExplosionSound("g_lsDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(Loknar)
#################################################
ForwardTractor = App.TractorBeamProperty_Create("Forward Tractor")

ForwardTractor.SetMaxCondition(1500.000000)
ForwardTractor.SetCritical(0)
ForwardTractor.SetTargetable(1)
ForwardTractor.SetPrimary(1)
ForwardTractor.SetPosition(0.000000, 0.866606, -0.015842)
ForwardTractor.SetPosition2D(64.000000, 54.000000)
ForwardTractor.SetRepairComplexity(4.000000)
ForwardTractor.SetDisabledPercentage(0.500000)
ForwardTractor.SetRadius(0.200000)
ForwardTractor.SetDumbfire(0)
ForwardTractor.SetWeaponID(1)
ForwardTractor.SetGroups(0)
ForwardTractor.SetDamageRadiusFactor(0.300000)
ForwardTractor.SetIconNum(0)
ForwardTractor.SetIconPositionX(0.000000)
ForwardTractor.SetIconPositionY(0.000000)
ForwardTractor.SetIconAboveShip(1)
ForwardTractor.SetFireSound("Tractor Beam")
ForwardTractor.SetMaxCharge(5.000000)
ForwardTractor.SetMaxDamage(60.000000)
ForwardTractor.SetMaxDamageDistance(100.000000)
ForwardTractor.SetMinFiringCharge(3.000000)
ForwardTractor.SetNormalDischargeRate(1.000000)
ForwardTractor.SetRechargeRate(0.300000)
ForwardTractor.SetIndicatorIconNum(0)
ForwardTractor.SetIndicatorIconPositionX(0.000000)
ForwardTractor.SetIndicatorIconPositionY(0.000000)
ForwardTractorForward = App.TGPoint3()
ForwardTractorForward.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTractorUp = App.TGPoint3()
ForwardTractorUp.SetXYZ(0.000000, 0.000000, 1.000000)
ForwardTractor.SetOrientation(ForwardTractorForward, ForwardTractorUp)
ForwardTractor.SetArcWidthAngles(-0.698132, 0.698132)
ForwardTractor.SetArcHeightAngles(-1.570796, 0.000000)
ForwardTractor.SetTractorBeamWidth(0.300000)
ForwardTractor.SetTextureStart(0)
ForwardTractor.SetTextureEnd(0)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerCoreColor(kColor)
ForwardTractor.SetNumSides(12)
ForwardTractor.SetMainRadius(0.075000)
ForwardTractor.SetTaperRadius(0.000000)
ForwardTractor.SetCoreScale(0.450000)
ForwardTractor.SetTaperRatio(0.200000)
ForwardTractor.SetTaperMinLength(1.000000)
ForwardTractor.SetTaperMaxLength(5.000000)
ForwardTractor.SetLengthTextureTilePerUnit(0.250000)
ForwardTractor.SetPerimeterTile(1.000000)
ForwardTractor.SetTextureSpeed(0.200000)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTractor)
#################################################
AftTractorVentral = App.TractorBeamProperty_Create("Aft Tractor Ventral")

AftTractorVentral.SetMaxCondition(1500.000000)
AftTractorVentral.SetCritical(0)
AftTractorVentral.SetTargetable(1)
AftTractorVentral.SetPrimary(1)
AftTractorVentral.SetPosition(0.000000, 0.126472, -0.035928)
AftTractorVentral.SetPosition2D(64.000000, 59.000000)
AftTractorVentral.SetRepairComplexity(7.000000)
AftTractorVentral.SetDisabledPercentage(0.750000)
AftTractorVentral.SetRadius(0.150000)
AftTractorVentral.SetDumbfire(0)
AftTractorVentral.SetWeaponID(1)
AftTractorVentral.SetGroups(0)
AftTractorVentral.SetDamageRadiusFactor(0.300000)
AftTractorVentral.SetIconNum(0)
AftTractorVentral.SetIconPositionX(0.000000)
AftTractorVentral.SetIconPositionY(0.000000)
AftTractorVentral.SetIconAboveShip(1)
AftTractorVentral.SetFireSound("Tractor Beam")
AftTractorVentral.SetMaxCharge(5.000000)
AftTractorVentral.SetMaxDamage(60.000000)
AftTractorVentral.SetMaxDamageDistance(100.000000)
AftTractorVentral.SetMinFiringCharge(3.000000)
AftTractorVentral.SetNormalDischargeRate(1.000000)
AftTractorVentral.SetRechargeRate(0.300000)
AftTractorVentral.SetIndicatorIconNum(0)
AftTractorVentral.SetIndicatorIconPositionX(0.000000)
AftTractorVentral.SetIndicatorIconPositionY(0.000000)
AftTractorVentralForward = App.TGPoint3()
AftTractorVentralForward.SetXYZ(0.000000, -1.000000, 0.000000)
AftTractorVentralUp = App.TGPoint3()
AftTractorVentralUp.SetXYZ(0.000000, 0.000000, 1.000000)
AftTractorVentral.SetOrientation(AftTractorVentralForward, AftTractorVentralUp)
AftTractorVentral.SetArcWidthAngles(-0.785398, 0.785398)
AftTractorVentral.SetArcHeightAngles(-1.570796, -0.087266)
AftTractorVentral.SetTractorBeamWidth(0.300000)
AftTractorVentral.SetTextureStart(0)
AftTractorVentral.SetTextureEnd(0)
AftTractorVentral.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractorVentral.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractorVentral.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractorVentral.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractorVentral.SetInnerCoreColor(kColor)
AftTractorVentral.SetNumSides(12)
AftTractorVentral.SetMainRadius(0.075000)
AftTractorVentral.SetTaperRadius(0.000000)
AftTractorVentral.SetCoreScale(0.450000)
AftTractorVentral.SetTaperRatio(0.200000)
AftTractorVentral.SetTaperMinLength(1.000000)
AftTractorVentral.SetTaperMaxLength(5.000000)
AftTractorVentral.SetLengthTextureTilePerUnit(0.250000)
AftTractorVentral.SetPerimeterTile(1.000000)
AftTractorVentral.SetTextureSpeed(0.200000)
AftTractorVentral.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTractorVentral)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(0.000000, 1.329600, 0.055610)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(0.000000, 0.100000, 0.055610)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(-0.638289, 0.693743, 0.058614)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(0.638289, 0.693743, 0.058614)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.000000, 0.694970, 0.230170)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.000000, 0.698259, -0.082683)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPersonCamera = App.PositionOrientationProperty_Create("FirstPersonCamera")

FirstPersonCameraForward = App.TGPoint3()
FirstPersonCameraForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonCameraUp = App.TGPoint3()
FirstPersonCameraUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonCameraRight = App.TGPoint3()
FirstPersonCameraRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPersonCamera.SetOrientation(FirstPersonCameraForward, FirstPersonCameraUp, FirstPersonCameraRight)
FirstPersonCameraPosition = App.TGPoint3()
FirstPersonCameraPosition.SetXYZ(0.000000, 0.756082, 0.202257)
FirstPersonCamera.SetPosition(FirstPersonCameraPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPersonCamera)
#################################################
Bridge = App.HullProperty_Create("Bridge")

Bridge.SetMaxCondition(4500.000000)
Bridge.SetCritical(0)
Bridge.SetTargetable(1)
Bridge.SetPrimary(0)
Bridge.SetPosition(0.000000, 0.694110, 0.200000)
Bridge.SetPosition2D(64.000000, 50.000000)
Bridge.SetRepairComplexity(2.000000)
Bridge.SetDisabledPercentage(0.750000)
Bridge.SetRadius(0.070000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Bridge)
#################################################
AftTractorDorsal = App.TractorBeamProperty_Create("Aft Tractor Dorsal")

AftTractorDorsal.SetMaxCondition(1500.000000)
AftTractorDorsal.SetCritical(0)
AftTractorDorsal.SetTargetable(1)
AftTractorDorsal.SetPrimary(1)
AftTractorDorsal.SetPosition(0.000000, 0.126912, 0.054118)
AftTractorDorsal.SetPosition2D(64.000000, 59.000000)
AftTractorDorsal.SetRepairComplexity(7.000000)
AftTractorDorsal.SetDisabledPercentage(0.750000)
AftTractorDorsal.SetRadius(0.150000)
AftTractorDorsal.SetDumbfire(0)
AftTractorDorsal.SetWeaponID(1)
AftTractorDorsal.SetGroups(0)
AftTractorDorsal.SetDamageRadiusFactor(0.300000)
AftTractorDorsal.SetIconNum(0)
AftTractorDorsal.SetIconPositionX(0.000000)
AftTractorDorsal.SetIconPositionY(0.000000)
AftTractorDorsal.SetIconAboveShip(1)
AftTractorDorsal.SetFireSound("Tractor Beam")
AftTractorDorsal.SetMaxCharge(5.000000)
AftTractorDorsal.SetMaxDamage(60.000000)
AftTractorDorsal.SetMaxDamageDistance(100.000000)
AftTractorDorsal.SetMinFiringCharge(3.000000)
AftTractorDorsal.SetNormalDischargeRate(1.000000)
AftTractorDorsal.SetRechargeRate(0.300000)
AftTractorDorsal.SetIndicatorIconNum(0)
AftTractorDorsal.SetIndicatorIconPositionX(0.000000)
AftTractorDorsal.SetIndicatorIconPositionY(0.000000)
AftTractorDorsalForward = App.TGPoint3()
AftTractorDorsalForward.SetXYZ(0.000000, -1.000000, 0.000000)
AftTractorDorsalUp = App.TGPoint3()
AftTractorDorsalUp.SetXYZ(0.000000, 0.000000, 1.000000)
AftTractorDorsal.SetOrientation(AftTractorDorsalForward, AftTractorDorsalUp)
AftTractorDorsal.SetArcWidthAngles(-0.261799, 0.261799)
AftTractorDorsal.SetArcHeightAngles(-0.261799, 0.261799)
AftTractorDorsal.SetTractorBeamWidth(0.300000)
AftTractorDorsal.SetTextureStart(0)
AftTractorDorsal.SetTextureEnd(0)
AftTractorDorsal.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractorDorsal.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractorDorsal.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractorDorsal.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractorDorsal.SetInnerCoreColor(kColor)
AftTractorDorsal.SetNumSides(12)
AftTractorDorsal.SetMainRadius(0.075000)
AftTractorDorsal.SetTaperRadius(0.000000)
AftTractorDorsal.SetCoreScale(0.450000)
AftTractorDorsal.SetTaperRatio(0.200000)
AftTractorDorsal.SetTaperMinLength(1.000000)
AftTractorDorsal.SetTaperMaxLength(5.000000)
AftTractorDorsal.SetLengthTextureTilePerUnit(0.250000)
AftTractorDorsal.SetPerimeterTile(1.000000)
AftTractorDorsal.SetTextureSpeed(0.200000)
AftTractorDorsal.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTractorDorsal)
#################################################
DorsalPhaser3b = App.PhaserProperty_Create("Dorsal Phaser 3b")

DorsalPhaser3b.SetMaxCondition(800.000000)
DorsalPhaser3b.SetCritical(0)
DorsalPhaser3b.SetTargetable(1)
DorsalPhaser3b.SetPrimary(1)
DorsalPhaser3b.SetPosition(-0.250184, 0.107694, 0.103390)
DorsalPhaser3b.SetPosition2D(54.000000, 30.000000)
DorsalPhaser3b.SetRepairComplexity(7.000000)
DorsalPhaser3b.SetDisabledPercentage(0.750000)
DorsalPhaser3b.SetRadius(0.250000)
DorsalPhaser3b.SetDumbfire(0)
DorsalPhaser3b.SetWeaponID(6)
DorsalPhaser3b.SetGroups(0)
DorsalPhaser3b.SetDamageRadiusFactor(0.150000)
DorsalPhaser3b.SetIconNum(361)
DorsalPhaser3b.SetIconPositionX(30.000000)
DorsalPhaser3b.SetIconPositionY(80.000000)
DorsalPhaser3b.SetIconAboveShip(1)
DorsalPhaser3b.SetFireSound("Tos Phaser")
DorsalPhaser3b.SetMaxCharge(5.000000)
DorsalPhaser3b.SetMaxDamage(200.000000)
DorsalPhaser3b.SetMaxDamageDistance(60.000000)
DorsalPhaser3b.SetMinFiringCharge(3.500000)
DorsalPhaser3b.SetNormalDischargeRate(1.000000)
DorsalPhaser3b.SetRechargeRate(0.080000)
DorsalPhaser3b.SetIndicatorIconNum(508)
DorsalPhaser3b.SetIndicatorIconPositionX(28.000000)
DorsalPhaser3b.SetIndicatorIconPositionY(80.000000)
DorsalPhaser3bForward = App.TGPoint3()
DorsalPhaser3bForward.SetXYZ(-0.894427, -0.447214, 0.000000)
DorsalPhaser3bUp = App.TGPoint3()
DorsalPhaser3bUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser3b.SetOrientation(DorsalPhaser3bForward, DorsalPhaser3bUp)
DorsalPhaser3b.SetWidth(0.001000)
DorsalPhaser3b.SetLength(0.001000)
DorsalPhaser3b.SetArcWidthAngles(-1.047198, 0.523599)
DorsalPhaser3b.SetArcHeightAngles(0.174533, 0.523599)
DorsalPhaser3b.SetPhaserTextureStart(0)
DorsalPhaser3b.SetPhaserTextureEnd(7)
DorsalPhaser3b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser3b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser3b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaser3b.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaser3b.SetInnerCoreColor(kColor)
DorsalPhaser3b.SetNumSides(6)
DorsalPhaser3b.SetMainRadius(0.075000)
DorsalPhaser3b.SetTaperRadius(0.030000)
DorsalPhaser3b.SetCoreScale(0.175000)
DorsalPhaser3b.SetTaperRatio(0.250000)
DorsalPhaser3b.SetTaperMinLength(5.000000)
DorsalPhaser3b.SetTaperMaxLength(30.000000)
DorsalPhaser3b.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaser3b.SetPerimeterTile(1.000000)
DorsalPhaser3b.SetTextureSpeed(2.500000)
DorsalPhaser3b.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser3b)
#################################################
DorsalPhaser4a = App.PhaserProperty_Create("Dorsal Phaser 4a")

DorsalPhaser4a.SetMaxCondition(800.000000)
DorsalPhaser4a.SetCritical(0)
DorsalPhaser4a.SetTargetable(1)
DorsalPhaser4a.SetPrimary(1)
DorsalPhaser4a.SetPosition(0.246849, 0.132000, 0.103396)
DorsalPhaser4a.SetPosition2D(75.000000, 30.000000)
DorsalPhaser4a.SetRepairComplexity(7.000000)
DorsalPhaser4a.SetDisabledPercentage(0.750000)
DorsalPhaser4a.SetRadius(0.250000)
DorsalPhaser4a.SetDumbfire(0)
DorsalPhaser4a.SetWeaponID(7)
DorsalPhaser4a.SetGroups(0)
DorsalPhaser4a.SetDamageRadiusFactor(0.150000)
DorsalPhaser4a.SetIconNum(362)
DorsalPhaser4a.SetIconPositionX(111.000000)
DorsalPhaser4a.SetIconPositionY(63.000000)
DorsalPhaser4a.SetIconAboveShip(1)
DorsalPhaser4a.SetFireSound("Tos Phaser")
DorsalPhaser4a.SetMaxCharge(5.000000)
DorsalPhaser4a.SetMaxDamage(200.000000)
DorsalPhaser4a.SetMaxDamageDistance(60.000000)
DorsalPhaser4a.SetMinFiringCharge(3.500000)
DorsalPhaser4a.SetNormalDischargeRate(1.000000)
DorsalPhaser4a.SetRechargeRate(0.080000)
DorsalPhaser4a.SetIndicatorIconNum(509)
DorsalPhaser4a.SetIndicatorIconPositionX(110.000000)
DorsalPhaser4a.SetIndicatorIconPositionY(63.000000)
DorsalPhaser4aForward = App.TGPoint3()
DorsalPhaser4aForward.SetXYZ(0.894427, 0.447214, 0.000000)
DorsalPhaser4aUp = App.TGPoint3()
DorsalPhaser4aUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser4a.SetOrientation(DorsalPhaser4aForward, DorsalPhaser4aUp)
DorsalPhaser4a.SetWidth(0.001000)
DorsalPhaser4a.SetLength(0.001000)
DorsalPhaser4a.SetArcWidthAngles(-1.047198, 1.047198)
DorsalPhaser4a.SetArcHeightAngles(0.174533, 0.785398)
DorsalPhaser4a.SetPhaserTextureStart(0)
DorsalPhaser4a.SetPhaserTextureEnd(7)
DorsalPhaser4a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser4a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser4a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaser4a.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaser4a.SetInnerCoreColor(kColor)
DorsalPhaser4a.SetNumSides(6)
DorsalPhaser4a.SetMainRadius(0.075000)
DorsalPhaser4a.SetTaperRadius(0.030000)
DorsalPhaser4a.SetCoreScale(0.175000)
DorsalPhaser4a.SetTaperRatio(0.250000)
DorsalPhaser4a.SetTaperMinLength(5.000000)
DorsalPhaser4a.SetTaperMaxLength(30.000000)
DorsalPhaser4a.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaser4a.SetPerimeterTile(1.000000)
DorsalPhaser4a.SetTextureSpeed(2.500000)
DorsalPhaser4a.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser4a)
#################################################
DorsalPhaser4b = App.PhaserProperty_Create("Dorsal Phaser 4b")

DorsalPhaser4b.SetMaxCondition(800.000000)
DorsalPhaser4b.SetCritical(0)
DorsalPhaser4b.SetTargetable(1)
DorsalPhaser4b.SetPrimary(1)
DorsalPhaser4b.SetPosition(0.246717, 0.107504, 0.103398)
DorsalPhaser4b.SetPosition2D(95.000000, 40.000000)
DorsalPhaser4b.SetRepairComplexity(7.000000)
DorsalPhaser4b.SetDisabledPercentage(0.750000)
DorsalPhaser4b.SetRadius(0.250000)
DorsalPhaser4b.SetDumbfire(0)
DorsalPhaser4b.SetWeaponID(8)
DorsalPhaser4b.SetGroups(0)
DorsalPhaser4b.SetDamageRadiusFactor(0.150000)
DorsalPhaser4b.SetIconNum(362)
DorsalPhaser4b.SetIconPositionX(111.000000)
DorsalPhaser4b.SetIconPositionY(80.000000)
DorsalPhaser4b.SetIconAboveShip(1)
DorsalPhaser4b.SetFireSound("Tos Phaser")
DorsalPhaser4b.SetMaxCharge(5.000000)
DorsalPhaser4b.SetMaxDamage(200.000000)
DorsalPhaser4b.SetMaxDamageDistance(60.000000)
DorsalPhaser4b.SetMinFiringCharge(3.500000)
DorsalPhaser4b.SetNormalDischargeRate(1.000000)
DorsalPhaser4b.SetRechargeRate(0.080000)
DorsalPhaser4b.SetIndicatorIconNum(509)
DorsalPhaser4b.SetIndicatorIconPositionX(110.000000)
DorsalPhaser4b.SetIndicatorIconPositionY(80.000000)
DorsalPhaser4bForward = App.TGPoint3()
DorsalPhaser4bForward.SetXYZ(0.894427, -0.447214, 0.000000)
DorsalPhaser4bUp = App.TGPoint3()
DorsalPhaser4bUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser4b.SetOrientation(DorsalPhaser4bForward, DorsalPhaser4bUp)
DorsalPhaser4b.SetWidth(0.001000)
DorsalPhaser4b.SetLength(0.001000)
DorsalPhaser4b.SetArcWidthAngles(-0.523599, 1.047198)
DorsalPhaser4b.SetArcHeightAngles(0.174533, 0.523599)
DorsalPhaser4b.SetPhaserTextureStart(0)
DorsalPhaser4b.SetPhaserTextureEnd(7)
DorsalPhaser4b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser4b.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser4b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaser4b.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaser4b.SetInnerCoreColor(kColor)
DorsalPhaser4b.SetNumSides(6)
DorsalPhaser4b.SetMainRadius(0.075000)
DorsalPhaser4b.SetTaperRadius(0.030000)
DorsalPhaser4b.SetCoreScale(0.175000)
DorsalPhaser4b.SetTaperRatio(0.250000)
DorsalPhaser4b.SetTaperMinLength(5.000000)
DorsalPhaser4b.SetTaperMaxLength(30.000000)
DorsalPhaser4b.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaser4b.SetPerimeterTile(1.000000)
DorsalPhaser4b.SetTextureSpeed(2.500000)
DorsalPhaser4b.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser4b)
#################################################
DorsalPhaser3a = App.PhaserProperty_Create("Dorsal Phaser 3a")

DorsalPhaser3a.SetMaxCondition(800.000000)
DorsalPhaser3a.SetCritical(0)
DorsalPhaser3a.SetTargetable(1)
DorsalPhaser3a.SetPrimary(1)
DorsalPhaser3a.SetPosition(-0.250171, 0.131810, 0.103390)
DorsalPhaser3a.SetPosition2D(34.000000, 40.000000)
DorsalPhaser3a.SetRepairComplexity(7.000000)
DorsalPhaser3a.SetDisabledPercentage(0.750000)
DorsalPhaser3a.SetRadius(0.250000)
DorsalPhaser3a.SetDumbfire(0)
DorsalPhaser3a.SetWeaponID(5)
DorsalPhaser3a.SetGroups(0)
DorsalPhaser3a.SetDamageRadiusFactor(0.150000)
DorsalPhaser3a.SetIconNum(361)
DorsalPhaser3a.SetIconPositionX(30.000000)
DorsalPhaser3a.SetIconPositionY(63.000000)
DorsalPhaser3a.SetIconAboveShip(1)
DorsalPhaser3a.SetFireSound("Tos Phaser")
DorsalPhaser3a.SetMaxCharge(5.000000)
DorsalPhaser3a.SetMaxDamage(200.000000)
DorsalPhaser3a.SetMaxDamageDistance(60.000000)
DorsalPhaser3a.SetMinFiringCharge(3.500000)
DorsalPhaser3a.SetNormalDischargeRate(1.000000)
DorsalPhaser3a.SetRechargeRate(0.080000)
DorsalPhaser3a.SetIndicatorIconNum(508)
DorsalPhaser3a.SetIndicatorIconPositionX(28.000000)
DorsalPhaser3a.SetIndicatorIconPositionY(63.000000)
DorsalPhaser3aForward = App.TGPoint3()
DorsalPhaser3aForward.SetXYZ(-0.894427, 0.447214, 0.000000)
DorsalPhaser3aUp = App.TGPoint3()
DorsalPhaser3aUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser3a.SetOrientation(DorsalPhaser3aForward, DorsalPhaser3aUp)
DorsalPhaser3a.SetWidth(0.001000)
DorsalPhaser3a.SetLength(0.001000)
DorsalPhaser3a.SetArcWidthAngles(-1.047198, 1.047198)
DorsalPhaser3a.SetArcHeightAngles(0.174533, 0.785398)
DorsalPhaser3a.SetPhaserTextureStart(0)
DorsalPhaser3a.SetPhaserTextureEnd(7)
DorsalPhaser3a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser3a.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 1.000000)
DorsalPhaser3a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 1.000000)
DorsalPhaser3a.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DorsalPhaser3a.SetInnerCoreColor(kColor)
DorsalPhaser3a.SetNumSides(6)
DorsalPhaser3a.SetMainRadius(0.075000)
DorsalPhaser3a.SetTaperRadius(0.030000)
DorsalPhaser3a.SetCoreScale(0.175000)
DorsalPhaser3a.SetTaperRatio(0.250000)
DorsalPhaser3a.SetTaperMinLength(5.000000)
DorsalPhaser3a.SetTaperMaxLength(30.000000)
DorsalPhaser3a.SetLengthTextureTilePerUnit(0.500000)
DorsalPhaser3a.SetPerimeterTile(1.000000)
DorsalPhaser3a.SetTextureSpeed(2.500000)
DorsalPhaser3a.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser3a)
#################################################
ShuttleBay = App.HullProperty_Create("Shuttle Bay")

ShuttleBay.SetMaxCondition(2500.000000)
ShuttleBay.SetCritical(0)
ShuttleBay.SetTargetable(1)
ShuttleBay.SetPrimary(0)
ShuttleBay.SetPosition(0.000000, 0.150000, 0.010581)
ShuttleBay.SetPosition2D(0.000000, 0.000000)
ShuttleBay.SetRepairComplexity(3.000000)
ShuttleBay.SetDisabledPercentage(0.500000)
ShuttleBay.SetRadius(0.100000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay)
#################################################
ShuttleBayOEP = App.ObjectEmitterProperty_Create("Shuttle Bay OEP")

ShuttleBayOEPForward = App.TGPoint3()
ShuttleBayOEPForward.SetXYZ(0.000000, -1.000000, 0.000000)
ShuttleBayOEPUp = App.TGPoint3()
ShuttleBayOEPUp.SetXYZ(0.000000, 0.000000, 1.000000)
ShuttleBayOEPRight = App.TGPoint3()
ShuttleBayOEPRight.SetXYZ(1.000000, 0.000000, 0.000000)
ShuttleBayOEP.SetOrientation(ShuttleBayOEPForward, ShuttleBayOEPUp, ShuttleBayOEPRight)
ShuttleBayOEPPosition = App.TGPoint3()
ShuttleBayOEPPosition.SetXYZ(0.000000, 0.135025, 0.010581)
ShuttleBayOEP.SetPosition(ShuttleBayOEPPosition)
ShuttleBayOEP.SetEmittedObjectType(ShuttleBayOEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBayOEP)
#################################################
ForwardTorp3 = App.TorpedoTubeProperty_Create("Forward Torp 3")

ForwardTorp3.SetMaxCondition(800.000000)
ForwardTorp3.SetCritical(0)
ForwardTorp3.SetTargetable(1)
ForwardTorp3.SetPrimary(1)
ForwardTorp3.SetPosition(-0.204408, 0.695090, -0.022706)
ForwardTorp3.SetPosition2D(54.000000, 40.000000)
ForwardTorp3.SetRepairComplexity(3.000000)
ForwardTorp3.SetDisabledPercentage(0.500000)
ForwardTorp3.SetRadius(0.025000)
ForwardTorp3.SetDumbfire(1)
ForwardTorp3.SetWeaponID(0)
ForwardTorp3.SetGroups(6)
ForwardTorp3.SetDamageRadiusFactor(0.600000)
ForwardTorp3.SetIconNum(370)
ForwardTorp3.SetIconPositionX(69.000000)
ForwardTorp3.SetIconPositionY(14.000000)
ForwardTorp3.SetIconAboveShip(1)
ForwardTorp3.SetImmediateDelay(0.250000)
ForwardTorp3.SetReloadDelay(40.000000)
ForwardTorp3.SetMaxReady(1)
ForwardTorp3Direction = App.TGPoint3()
ForwardTorp3Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorp3.SetDirection(ForwardTorp3Direction)
ForwardTorp3Right = App.TGPoint3()
ForwardTorp3Right.SetXYZ(1.000000, 0.000000, 0.000000)
ForwardTorp3.SetRight(ForwardTorp3Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorp3)
#################################################
ForwardTorp4 = App.TorpedoTubeProperty_Create("Forward Torp 4")

ForwardTorp4.SetMaxCondition(800.000000)
ForwardTorp4.SetCritical(0)
ForwardTorp4.SetTargetable(1)
ForwardTorp4.SetPrimary(1)
ForwardTorp4.SetPosition(0.204408, 0.695090, -0.022706)
ForwardTorp4.SetPosition2D(75.000000, 40.000000)
ForwardTorp4.SetRepairComplexity(3.000000)
ForwardTorp4.SetDisabledPercentage(0.500000)
ForwardTorp4.SetRadius(0.025000)
ForwardTorp4.SetDumbfire(1)
ForwardTorp4.SetWeaponID(1)
ForwardTorp4.SetGroups(6)
ForwardTorp4.SetDamageRadiusFactor(0.600000)
ForwardTorp4.SetIconNum(370)
ForwardTorp4.SetIconPositionX(83.000000)
ForwardTorp4.SetIconPositionY(14.000000)
ForwardTorp4.SetIconAboveShip(1)
ForwardTorp4.SetImmediateDelay(0.250000)
ForwardTorp4.SetReloadDelay(40.000000)
ForwardTorp4.SetMaxReady(1)
ForwardTorp4Direction = App.TGPoint3()
ForwardTorp4Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorp4.SetDirection(ForwardTorp4Direction)
ForwardTorp4Right = App.TGPoint3()
ForwardTorp4Right.SetXYZ(1.000000, 0.000000, 0.000000)
ForwardTorp4.SetRight(ForwardTorp4Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorp4)

# Property Set
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Core", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phasers", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedoes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Engineering", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractors", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Loknar", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Tractor Ventral", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPersonCamera", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bridge", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 1a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 1b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 1a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 1b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 2a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 2b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 3a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 3b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 4a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 4b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Tractor Dorsal", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay OEP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torp 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torp 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torp 3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torp 4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
